Bug 175833 - japser IllegalAccessError in 4.1.0-0.8 (not present in 4.1.0-0.7)
Summary: japser IllegalAccessError in 4.1.0-0.8 (not present in 4.1.0-0.7)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom Tromey
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-15 16:45 UTC by Andrew Overholt
Modified: 2014-08-11 05:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 18:12:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
replacement patch (778 bytes, patch)
2005-12-15 17:54 UTC, Tom Tromey
no flags Details | Diff

Description Andrew Overholt 2005-12-15 16:45:39 UTC
Description of problem:
Part of the Eclipse build procedure uses jasper to create java code from some jsps.

Version-Release number of selected component (if applicable):
libgcj-4.1.0-0.8.i386

How reproducible:
I cannot reproduce locally with 4.1.0-0.7.  I am grabbing 4.1.0-0.8 now to try
to reproduce locally.

Steps to Reproduce:
1. try to build Eclipse (yeah ... sorry it's not smaller - I will make a test
case soon)
  
Actual results:
Exception in thread "main" java.lang.IllegalAccessError:
org.xml.sax.helpers.NamespaceSupport$Context:
org.xml.sax.helpers.NamespaceSupport.EMPTY_ENUMERATION
     [java]    at
org.xml.sax.helpers.NamespaceSupport$Context.getDeclaredPrefixes (libgcj.so.7)
     [java]    at org.xml.sax.helpers.NamespaceSupport.getDeclaredPrefixes
(libgcj.so.7)
     [java]    at gnu.xml.aelfred2.SAXDriver.endElement (libgcj.so.7)
     [java]    at gnu.xml.aelfred2.XmlParser.parseETag (libgcj.so.7)
     [java]    at gnu.xml.aelfred2.XmlParser.parseContent (libgcj.so.7)
     [java]    at gnu.xml.aelfred2.XmlParser.parseElement (libgcj.so.7)
     [java]    at gnu.xml.aelfred2.XmlParser.parseContent (libgcj.so.7)
     [java]    at gnu.xml.aelfred2.XmlParser.parseElement (libgcj.so.7)
     [java]    at gnu.xml.aelfred2.XmlParser.parseContent (libgcj.so.7)
     [java]    at gnu.xml.aelfred2.XmlParser.parseElement (libgcj.so.7)
     [java]    at gnu.xml.aelfred2.XmlParser.parseDocument (libgcj.so.7)
     [java]    at gnu.xml.aelfred2.XmlParser.doParse (libgcj.so.7)
     [java]    at gnu.xml.aelfred2.SAXDriver.parse (libgcj.so.7)
     [java]    at gnu.xml.aelfred2.XmlReader.parse (libgcj.so.7)
     [java]    at gnu.xml.dom.ls.DomLSParser.doParse (libgcj.so.7)
     [java]    at gnu.xml.dom.ls.DomLSParser.parse (libgcj.so.7)
     [java]    at gnu.xml.dom.DomDocumentBuilder.parse (libgcj.so.7)
     [java]    at org.apache.jasper.xmlparser.ParserUtils.parseXMLDocument
(ParserUtils.java:98)
     [java]    at org.apache.jasper.compiler.JspConfig.processWebDotXml
(JspConfig.java:70)
     [java]    at org.apache.jasper.compiler.JspConfig.init (JspConfig.java:189)
     [java]    at org.apache.jasper.compiler.JspConfig.isJspPage
(JspConfig.java:353)
     [java]    at org.apache.jasper.JspC.scanFiles (JspC.java:919)
     [java]    at org.apache.jasper.JspC.execute (JspC.java:960)
     [java]    at org.apache.jasper.JspC.main (JspC.java:211)

Expected results:
No output (this is what happens with 4.1.0-0.7).

Additional info:

Comment 1 Tom Tromey 2005-12-15 17:04:29 UTC
See
http://gcc.gnu.org/ml/java-patches/2005-q4/msg00342.html

I think this explains the problem.


Comment 2 Tom Tromey 2005-12-15 17:54:21 UTC
Created attachment 122293 [details]
replacement patch

This patch replaces Andrew's and fixes the test case I came up with.
However, I have not extensively tested it yet.	I will put the
tests into the test suite and do a full build and report back later.

Comment 4 Tom Tromey 2005-12-16 00:05:24 UTC
I just checked in the fix plus the two test cases as revision 108608.
ATM this is on the trunk, I'll move it to the 4.1 branch tomorrow.
One other libjava patch went in to the 4.1 branch today, and XML fix
for OO.o.


Comment 5 Andrew Overholt 2006-01-17 16:41:17 UTC
I can build Eclipse now so should we close this bug?

Comment 6 Andrew Overholt 2006-01-17 18:12:31 UTC
I spoke with Tom on IRC and he suggests closing.  I agree.


Note You need to log in before you can comment on or make changes to this bug.